package ch.uzh.csg.filesharing.future;
import ch.uzh.csg.filesharing.Check;
import ch.uzh.csg.tomp2p.common.BaseFutureImpl;
import ch.uzh.csg.tomp2p.message.Message;

public class FutureCheckImpl extends BaseFutureImpl implements FutureCheck
{
	private Check check;

	@Override
	public Check getCheck()
	{
		synchronized (lock)
		{
			return check;
		}
	}

	@Override
	public void setCheck(Check check)
	{
		synchronized (lock)
		{
			if (!setCompletedAndNotify())
				return;
			type = check == null ? Message.TYPE_NOT_OK : Message.TYPE_OK;
			this.check = check;
		}
		notifyListerenrs();
	}
}
