package ch.uzh.csg.filesharing.future;
import ch.uzh.csg.filesharing.URN;
import ch.uzh.csg.tomp2p.common.BaseFuture;

public interface FutureFileChunk extends BaseFuture
{
	public void chunkDownloaded(int chunkID);

	public int getChunkID();

	public URN getURN();

	public void failed(String reason, Object hint);

	public void failed(Object hint);

	public Object getHint();
}
