package ch.uzh.csg.filesharing.future;
import java.util.Collection;

import ch.uzh.csg.filesharing.URN;
import ch.uzh.csg.tomp2p.common.BaseFutureImpl;
import ch.uzh.csg.tomp2p.message.Message;

public class FutureURNImpl extends BaseFutureImpl implements FutureURN
{
	private Collection<URN> urns;

	@Override
	public Collection<URN> getURNs()
	{
		synchronized (lock)
		{
			return urns;
		}
	}

	@Override
	public void setURNs(Collection<URN> urns)
	{
		synchronized (lock)
		{
			if (!setCompletedAndNotify())
				return;
			type = urns == null ? Message.TYPE_NOT_OK : Message.TYPE_OK;
			this.urns = urns;
		}
		notifyListerenrs();
	}
}
