package ch.uzh.csg.filesharing;
import java.io.File;
import java.net.URISyntaxException;
import java.util.Random;

import ch.uzh.csg.tomp2p.routing.Routing;

public class BFInfo
{
	final private static int MAX_BLOOM_ENTRIES = 1000;
	final private static int MAX_BLOOM = (Routing.BITS * 65) - 1;

	public static void main(String[] args) throws URISyntaxException
	{
		SimpleBloomFilter<String> sbf = new SimpleBloomFilter<String>(MAX_BLOOM, MAX_BLOOM_ENTRIES);
		System.err.println((sbf.expectedFalsePositiveProbability() * 100) + "%");
		Random r = new Random(77l);
		System.err.println("r=" + r.nextInt());
		Random r2 = new Random(77l);
		System.err.println("r2=" + r2.nextInt());
		// r=-1185110242
		// r2=-1185110242
		System.err.println("time=" + (System.currentTimeMillis() / 1000));
		URN urn = new URN(new File("/bin/bash"));
		System.err.println(urn.toString());
	}
}
