package ch.uzh.csg.filesharing.future;
import java.io.File;

import ch.uzh.csg.tomp2p.common.BaseFutureImpl;
import ch.uzh.csg.tomp2p.message.Message;

public class FutureGenericFileImpl extends BaseFutureImpl implements FutureGenericFile
{
	protected File file;

	@Override
	public File getFile()
	{
		synchronized (lock)
		{
			return file;
		}
	}

	@Override
	public void setFile(File file)
	{
		synchronized (lock)
		{
			if (!setCompletedAndNotify())
				return;
			type = file == null ? Message.TYPE_NOT_OK : Message.TYPE_OK;
			this.file = file;
		}
		notifyListerenrs();
	}
}
