package ch.uzh.csg.filesharing;
import java.io.File;
import java.io.IOException;
import java.math.BigInteger;
import java.net.URI;
import java.net.URISyntaxException;

import org.junit.Assert;
import org.junit.Test;

import ch.uzh.csg.filesharing.fileutils.FileUtils;

public class TestURN
{
	@Test
	public void testURN() throws IOException, URISyntaxException
	{
		for (int i = 0; i < 10; i++)
		{
			File f = File.createTempFile("aoeu", "aoeu");
			f.deleteOnExit();
			f = FileUtils.generateRadomFile(20000, f.getParentFile(), 77,
					new BigInteger("1234" + i));
			URN u = new URN(f);
			URI uu = new URI(u.toString());
			URN u2 = new URN(uu);
			System.err.println(i);
			Assert.assertEquals(u2.getHash(), u.getHash());
			Assert.assertEquals(u2, u);
		}
	}
}
